package com.gyee.edge.gateway.client;


import com.gyee.edge.gateway.message.GYMessage;
import io.netty.channel.EventLoopGroup;
import io.netty.util.concurrent.Future;

public class IEC102TcpClient implements IClient {


    @Override
    public EndPoint getEndPoint() {
        return null;
    }

    @Override
    public Future<Integer> connect() {
        return null;
    }

    @Override
    public Future<Integer> reconnect() {
        return null;
    }

    @Override
    public void disconnect() {

    }

    @Override
    public boolean isConnected() {
        return false;
    }

    @Override
    public EventLoopGroup getEventLoop() {
        return null;
    }

    @Override
    public Future<Integer> sendMessage(GYMessage gyMessage) {
        return null;
    }

    @Override
    public Future<Integer> send(Byte[] bytes) {
        return null;
    }
}
